#ifndef CLIB_RUNBAR_PROTOS_H
#define CLIB_RUNBAR_PROTOS_H

/*
**	$VER: RunBar_protos.h 1.0 (24.11.96)
**	Includes Release 1.0
**
**	RunBar.library interface structures and definitions.
**
**	(C) Copyright 1996 Sergej Kravcenko
**	All Rights Reserved
*/

/*****************************************************************************/


#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

#ifndef EXEC_TASKS_H
#include <exec/tasks.h>
#endif

#ifndef EXEC_PORTS_H
#include <exec/ports.h>
#endif

#ifndef INTUITION_INTUITION_H
#include <intuition/intuition.h>
#endif

#ifndef LIBRARIES_RUNBAR_H
#include <libraries/runbar.h>
#endif

ULONG           RB_AddTask(struct Task *task,struct SBItem *menu,
                           struct Image *image,struct RBInfo *info,
                           struct MsgPort **port);
ULONG           RB_RemoveTask(struct Task *task);
void            RB_Edit(struct Task *task,struct SBItem *menu,
                        struct Image *image);
                        
#endif /* CLIB_RUNBAR_PROTOS_H */

